###################################################
### chunk number 1: optionsset
###################################################
#line 262 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
options(prompt = "R> ", continue = "+  ", width = 70, useFancyQuotes = FALSE)


###################################################
### chunk number 2: readdata
###################################################
#line 266 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
library("sphet")
data("boston", package = "spdep")


###################################################
### chunk number 3: defformula
###################################################
#line 275 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
listw <- nb2listw(boston.soi)


###################################################
### chunk number 4: generatecoordinates
###################################################
#line 327 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
set.seed(1234)
X <- runif(100, 0, 70)
Y <- runif(100, -30, 20)
coord1 <- cbind(seq(1, 100), X, Y)


###################################################
### chunk number 5: distance1
###################################################
#line 351 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
thm1 <- distance(coord = coord1, region.id = NULL, output = FALSE, type = "inverse", measure = "euclidean")
print(thm1[1:15, ])


###################################################
### chunk number 6: distance2
###################################################
#line 386 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
thm2 <- distance(coord1, region.id = NULL, output = FALSE, type = "NN", nn = 6)
print(thm2[1:15, ])


###################################################
### chunk number 7: distance3
###################################################
#line 405 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
thm3 <- distance(coord1, region.id = NULL, output = TRUE, type = "distance", cutoff = 1, measure = "gcircle", shape.name = "shapefile", region.id.name = "id1", firstline = TRUE, file.name = "dist_100.GWT")
class(thm3)


###################################################
### chunk number 8: read
###################################################
#line 420 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
id1 <- seq(1, nrow(boston.utm))
tmp <- distance(boston.utm, region.id = id1, output = TRUE, type = "NN", nn = 10, shape.name = "shapefile", region.id.name = "id1", firstline = TRUE, file.name = "boston_nn_10.GWT")
coldist <- read.gwt2dist(file = "boston_nn_10.GWT", region.id = id1, skip = 1)


###################################################
### chunk number 9: read2
###################################################
#line 460 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
class(coldist)


###################################################
### chunk number 10: printsummarydist
###################################################
#line 474 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
summary(coldist)


###################################################
### chunk number 11: stslshac
###################################################
#line 665 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
res <- stslshac(log(CMEDV) ~ CRIM + ZN + INDUS + CHAS + I(NOX^2) + I(RM^2) + AGE + log(DIS) + log(RAD) + TAX + PTRATIO + B + log(LSTAT), data = boston.c, listw, distance = coldist, type = "Triangular", HAC = TRUE) 
summary(res)


###################################################
### chunk number 12: stslshac1
###################################################
#line 692 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
res <- stslshac(log(CMEDV) ~ CRIM + ZN + INDUS + CHAS + I(NOX^2) + I(RM^2) + AGE + log(DIS) + log(RAD) + TAX + PTRATIO + B + log(LSTAT), data = boston.c, listw, distance = coldist, HAC = FALSE)
summary(res)


###################################################
### chunk number 13: stsls
###################################################
#line 726 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
res <- stsls(log(CMEDV) ~ CRIM + ZN + INDUS + CHAS + I(NOX^2) + I(RM^2) + AGE + log(DIS) + log(RAD) + TAX + PTRATIO + B + log(LSTAT), data = boston.c, listw = listw)
summary(res)


###################################################
### chunk number 14: stsls2
###################################################
#line 744 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
res <- stsls(log(CMEDV) ~ CRIM + ZN + INDUS + CHAS + I(NOX^2) + I(RM^2) + AGE + log(DIS) + log(RAD) + TAX + PTRATIO + B + log(LSTAT), data = boston.c, listw = listw, robust = TRUE)
summary(res)


###################################################
### chunk number 15: stslshac2
###################################################
#line 764 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
fix <- max(unlist(attributes(coldist)$GeoDa$dist))
res <- stslshac(log(CMEDV) ~ CRIM + ZN + INDUS + CHAS + I(NOX^2) + I(RM^2) + AGE + log(DIS) + log(RAD) + TAX + PTRATIO + B + log(LSTAT), data = boston.c, listw, distance = coldist, type = "Parzen", bandwidth = fix)
summary(res)


###################################################
### chunk number 16: gstslshet1
###################################################
#line 928 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
res <- gstslshet(log(CMEDV) ~ CRIM + ZN + INDUS + CHAS + I(NOX^2) + I(RM^2) + AGE + log(DIS) + log(RAD) + TAX + PTRATIO + B + log(LSTAT), data = boston.c, listw = listw, initial.value = 0.2)
summary(res)


###################################################
### chunk number 17: gstslshet2
###################################################
#line 941 "d:/Rcompile/CRANpkg/local/2.12/sphet/inst/doc/sphet.Rnw"
res <- gstslshet(log(CMEDV) ~ CRIM + ZN + INDUS + CHAS + I(NOX^2) + I(RM^2) + AGE + log(DIS) + log(RAD) + TAX + PTRATIO + B + log(LSTAT), data = boston.c, listw = listw, initial.value = 0.2, inverse = FALSE, eps = 1e-18, sarar = FALSE )
summary(res)


